> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zlb/load-balancer-instance/describeloadbalancers.md).

# DescribeLoadBalancers

## 1. API Description

This API (DescribeLoadBalancers) is used to query the list of load balancer instances.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type                                                                                   | Description                                                                                                                                                                                                       |
| ---------------- | -------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| regionId         | No       | String                                                                                 | <p>Region ID.</p><p>It can be obtained by calling <a href="/api-reference/zec/location/describeregions.md">DescribeRegions</a>.</p>                                                                               |
| vpcId            | No       | String                                                                                 | <p>Filters by the ID of the VPC to which the backend servers of the load balancer belong.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/describevpcs.md">DescribeVpcs</a>.</p>      |
| ipStackType      | No       | [LoadBalancerIpStackType](/api-reference/zlb/datastructure.md#loadbalanceripstacktype) | <p>Filter by IP stack type.</p><p>A load balancer instance supports only a single stack, that is, <code>IPv4</code> or <code>IPv6</code>.</p>                                                                     |
| loadBalancerIds  | No       | Array of String                                                                        | <p>ID list of the load balance instance.</p><p>The maximum number of instance IDs is 100.</p>                                                                                                                     |
| loadBalancerName | No       | String                                                                                 | <p>Load balance instance name.</p><p>Add \* at the end to support fuzzy matching.</p>                                                                                                                             |
| pageSize         | No       | Integer                                                                                | <p>Number of items in the current page result.</p><p>Default value: 20;</p><p>Maximum value: 1000.</p>                                                                                                            |
| pageNum          | No       | Integer                                                                                | <p>Page number of the current page result.</p><p>Default value: 1</p>                                                                                                                                             |
| resourceGroupId  | No       | String                                                                                 | Resource Group ID.                                                                                                                                                                                                |
| tagKeys          | No       | Array of String                                                                        | <p>Query using tag keys.</p><p>A maximum of 20 tag keys can be used.</p>                                                                                                                                          |
| tags             | No       | Array of [Tag](/api-reference/zlb/datastructure.md#tag)                                | <p>Query using tags.</p><p>A maximum of 20 tags can be used.</p>                                                                                                                                                  |
| securityGroupId  | No       | String                                                                                 | <p>ID of the security group associated with the load balancer instance.</p><p>It can be obtained by calling <a href="/api-reference/zec/security-group/describesecuritygroups.md">DescribeSecurityGroups</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                      | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                   | The total number of load balance instances that meet the filtering conditions.                                        |
| dataSet        | Array of [LoadBalancer](/api-reference/zlb/datastructure.md#loadbalancer) | The returned list of load balance instances.                                                                          |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the list of load balancer instances.**

```json
POST /api/v2/zlb HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancers
<Common Request Params>

Request:
{
}

Response:
{
    "requestId": "TC073A2C6-3923-48AD-960F-446CBF303A2A",
    "response": {
        "requestId": "TC073A2C6-3923-48AD-960F-446CBF303A2A",
        "totalCount": 6,
        "dataSet": [
            {
                "loadBalancerId": "<loadBalancerId>",
                "listenerCount": 0,
                "backendServerCount": 0,
                "regionId": "asia-east-1",
                "publicIpAddress": [
                    "128.xx.xx.1"
                ],
                 "privateIpAddress": [
                    "10.xx.xx.1"
                ],
                "securityGroupId":"<your sec id>",
                "healthCheckPrivateIps": [
                    "128.xx.xx.100",
                    "128.xx.xx.101"
                ],
                "resourceGroup": {
                  "resourceGroupName": "Default Resource Group",
                  "resourceGroupId": "<resourceGroupId>"
                },
                "createTime": "2025-04-01T01:01:01Z",
                "loadBalancerName": "sample-load-balancer",
                "vpcId": "<vpcId>",
                "subnetId": "<subnetId>",
                "ipStackType": "IPv4",
                "status": "RUNNING",
                "tags":null
              },
              {
                "loadBalancerId": "<loadBalancerId>",
                "listenerCount": 0,
                "backendServerCount": 0,
                "regionId": "asia-east-1",
                "publicIpAddress": [
                    "2001:db8::/96"
                ],
                 "privateIpAddress": [
                    "10.xx.xx.2"
                ],
                "securityGroupId":"<your sec id>",
                "healthCheckPrivateIps": [
                    "2001:db8:1::/96",
                    "2001:db8:2::/96"
                ],
                "resourceGroup": {
                  "resourceGroupName": "Default Resource Group",
                  "resourceGroupId": "<resourceGroupId>"
                },
                "createTime": "2025-04-01T01:01:01Z",
                "loadBalancerName": "sample-ipv6-load-balancer",
                "vpcId": "<vpcId>",
                "subnetId": "<subnetId>",
                "ipStackType": "IPv6",
                "status": "RUNNING",
                "tags":null
              }
        ]
    }
}
```

Both stack types are listed above. Note the difference in the form of `publicIpAddress`: the `IPv4` type returns a single address, while the `IPv6` type returns **a block with a mask** (the VIP is a segment carved out of the IPv6 block of the subnet, not a single address).
{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
